Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GNOME control center
Name:		control-center
Version:	2.28.1
Release:	2
Epoch:		1
BuildArch:	i686
License:	GNU/LGPL
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source:		http://download.gnome.org/sources/gnome-control-center/2.20/gnome-control-center-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires: gnome-icon-theme
Requires: libxklavier
Requires: libgail-gnome
Requires: alsa-lib
Requires: gnome-menus
Requires: gnome-settings-daemon
Requires: usermode

PreReq:   gtk2+

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-menus-devel
BuildRequires: gnome-panel-libs
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcanberra-devel
BuildRequires: libcanberra-gtk2
BuildRequires: libcroco-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomekbd-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgsf-devel
BuildRequires: libICE-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: librsvg-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxkbfile-devel
BuildRequires: libxklavier-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: metacity
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel gnome-doc-utils unique-devel gnome-settings-daemon-devel which scrollkeeper desktop-file-utils

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, system sounds, and mouse
behavior).

If you install GNOME, you need to install control-center.

%package	devel
Summary:	GNOME Control Center development libraries and header files
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pkg-config

%description	devel
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, system sounds, and mouse
behavior).

This packages development files for GNOME Control Center.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule 						\
   %{_sysconfdir}/gconf/schemas/fontilus.schemas			\
   %{_sysconfdir}/gconf/schemas/control-center.schemas			\
   > /dev/null || :
update-desktop-database --quiet %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gconf/schemas/fontilus.schemas \
     %{_sysconfdir}/gconf/schemas/control-center.schemas \
     > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gconf/schemas/fontilus.schemas \
     %{_sysconfdir}/gconf/schemas/control-center.schemas \
     > /dev/null || :
fi

%postun
/sbin/ldconfig
update-desktop-database --quiet %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q -n gnome-control-center-%{version}

%build
%configure \
--disable-update-mimedb
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

for i in apps_gnome_settings_daemon_default_editor.schemas		\
	    apps_gnome_settings_daemon_keybindings.schemas		\
	    apps_gnome_settings_daemon_screensaver.schemas		\
	    desktop_gnome_font_rendering.schemas ; do			\
	    rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/$i ;	\
done

# Add a "valid" OnlyShowIn entry, otherwise desktop-file-install complains
sed -i -e "s/OnlyShowIn=;/OnlyShowIn=GNOME;/"  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-theme-installer.desktop
desktop-file-install --vendor gnome --delete-original			\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications				\
  --add-only-show-in GNOME						\
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

sed -i -e "s/OnlyShowIn=GNOME;/OnlyShowIn=;/"  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-theme-installer.desktop

# we do want this
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties

# we don't want these
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/cursor-fonts

# don't package mime caches
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/XMLnamespaces
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/aliases
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/application/x-gnome-theme-package.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/subclasses
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/mime.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

%define gettext_package control-center-2.0
%find_lang %{gettext_package} --all-name --with-gnome

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%_datadir/gnome-control-center/keybindings/*.xml
%_datadir/gnome-control-center/default-apps/*.xml
%_datadir/gnome-control-center/ui/*.ui
%_datadir/gnome-control-center/pixmaps
%_datadir/applications/*.desktop
%_datadir/desktop-directories/*
%_datadir/mime/packages/gnome-theme-package.xml
%_datadir/icons/hicolor/*/apps/*
%_datadir/pkgconfig/gnome-keybindings.pc
%_datadir/pkgconfig/gnome-default-applications.pc
# list all binaries explicitly, so we notice if one goes missing
%_bindir/gnome-appearance-properties
%_bindir/gnome-at-mobility
%_bindir/gnome-at-properties
%_bindir/gnome-at-visual
%_bindir/gnome-control-center
%_bindir/gnome-default-applications-properties
%_bindir/gnome-display-properties
%_bindir/gnome-keybinding-properties
%_bindir/gnome-keyboard-properties
%_bindir/gnome-mouse-properties
%_bindir/gnome-typing-monitor
%_bindir/gnome-window-properties
%_bindir/gnome-font-viewer
%_bindir/gnome-network-properties
%_bindir/gnome-thumbnail-font

%_libdir/*.so.*
%_libdir/window-manager-settings/*.so

%_sysconfdir/gconf/schemas
%_sysconfdir/xdg/menus/gnomecc.menu
%_sysconfdir/xdg/autostart/gnome-at-session.desktop

%dir %_libdir/window-manager-settings
%dir %_datadir/gnome/wm-properties
%dir %_datadir/gnome-control-center
%dir %_datadir/gnome-control-center/keybindings

%files devel
%defattr(-,root,root)
%_includedir/gnome-window-settings-2.0
%_libdir/libgnome-window-settings.so
%_pkgconfig
%_libdir/*.la
%_libdir/*.a
%_libdir/window-manager-settings/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.28.1-2
- only show gnome-default-applications in GNOME itself
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.28.1-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 1:2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.24.0.1-1
- Version update
* Wed Apr 16 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.22.0-2
- cleanup
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.22.0-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.20.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.20.0.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.1-2
- rebuild against gnome 2.20.0
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.1-1
- Version update
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.0-2
- bugfix for mime database
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.18.0-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.2-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-6
- readded some patches, fixed bug in scriplets
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-5
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-4
- removed patches
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-3
- tryout with O2
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-2
- rebuild, moved libexec
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1:2.16.1-1
- bump to 2.16.1
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-1
- Version update, moved prefix
* Sun Mar 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.92-1
- Initial Release
